package com.zfire.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

@Getter
public enum TradeOrderStatusEnum {
    SAVE("SAVE","保存"),
    WAIT("WAIT","待审核"),
    OK("OK","已审核"),
    FAIL("FAIL","已关闭"),
    RETURN("RETURN","返回"),
    ;
    @JsonValue
    @EnumValue
    private final String key;
    private final String value;

    TradeOrderStatusEnum(String key, String value){
        this.key=key;
        this.value = value;
    }

}
